DynaValidatorForm (Apache Struts API Documentation)
Keywords: org.apache.struts.validator.DynaValidatorForm,DynaValidatorForm class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.validator
Class DynaValidatorForm

    java.lang.Object
      |
      +--org.apache.struts.action.ActionForm
            |
            +--org.apache.struts.action.DynaActionForm
                  |
                  +--org.apache.struts.validator.DynaValidatorForm

All Implemented Interfaces:
  org.apache.commons.beanutils.DynaBean, java.io.Serializable

Direct Known Subclasses:
  DynaValidatorActionForm

public class DynaValidatorForm
extends DynaActionForm
implements org.apache.commons.beanutils.DynaBean, java.io.Serializable

This class extends DynaActionForm and provides basic field validation based on an XML file. The key passed into the validator is the action element's 'name' attribute from the struts-config.xml which should match the form element's name attribute in the validation.xml.

- See `ValidatorPlugin` definition in struts-config.xml for validation rules.

Since:
  Struts 1.1
Version:
  $Revision: 1.1 $ $Date: 2003-08-22 09:43:31 +0100 (Fri, 22 Aug 2003) $
Author:
  David Winterfeldt
See Also:
  `ActionForm`, Serialized Form

Field Summary
`private static org.apache.commons.logging.Log` | `log` Commons Logging instance.
`protected int` | `page` Used to indicate the current page of a multi-page form.
`protected org.apache.commons.validator.ValidatorResults` | `validatorResults` The results returned from the validation performed by the `Validator`.

Fields inherited from class org.apache.struts.action.DynaActionForm
`dynaClass, dynaValues`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`DynaValidatorForm()`

Method Summary
`int` | `getPage()` Gets page.
`java.util.Map` | `getResultValueMap()` Returns a `Map` of values returned from any validation that returns a value other than `null` or `Boolean` with the key the full property path of the field.
`org.apache.commons.validator.ValidatorResults` | `getValidatorResults()` Get results of the validation performed by the `Validator`.
`protected void` | `log(java.lang.String message)` Deprecated. Use common-logging, or other logging implementation to log debug messages.
`protected void` | `log(java.lang.String message, java.lang.Throwable throwable)` Deprecated. Use common-logging, or other logging implementation to log debug messages.
`void` | `reset(ActionMapping mapping, javax.servlet.http.HttpServletRequest request)` Reset all properties to their default values.
`void` | `setPage(int page)` Sets page.
`void` | `setValidatorResults(org.apache.commons.validator.ValidatorResults validatorResults)` Set results of the validation performed by the `Validator`.
`ActionErrors` | `validate(ActionMapping mapping, javax.servlet.http.HttpServletRequest request)` Validate the properties that have been set from this HTTP request, and return an `ActionErrors` object that encapsulates any validation errors that have been found.

Methods inherited from class org.apache.struts.action.DynaActionForm
`contains, get, get, get, getDynaClass, getDynaProperty, getMap, initialize, isDynaAssignable, remove, reset, set, set, set, toString`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.commons.beanutils.DynaBean
`contains, get, get, get, getDynaClass, remove, set, set, set`

Field Detail

### log

    private static org.apache.commons.logging.Log log

  Commons Logging instance.

### validatorResults

    protected org.apache.commons.validator.ValidatorResults validatorResults

  The results returned from the validation performed by the `Validator`.

### page

    protected int page

  Used to indicate the current page of a multi-page form.

Constructor Detail

### DynaValidatorForm

    public DynaValidatorForm()

Method Detail

### getPage

    public int getPage()

  Gets page.

  Returns:
    page number.

### setPage

    public void setPage(int page)

  Sets page.

  Parameters:
    `page` - page number

### validate

    public ActionErrors validate(ActionMapping mapping,
                                 javax.servlet.http.HttpServletRequest request)

  Validate the properties that have been set from this HTTP request, and return an `ActionErrors` object that encapsulates any validation errors that have been found. If no errors are found, return `null` or an `ActionErrors` object with no recorded error messages.

  Overrides:
    `validate` in class `ActionForm`
  Parameters:
    `mapping` - The mapping used to select this instance.
    `request` - The servlet request we are processing.
  Returns:
    `ActionErrors` object that encapsulates any validation errors.

### log

    protected void log(java.lang.String message)

  Deprecated. Use common-logging, or other logging implementation to log debug messages.

  Convenience method that call the comparable servlet log method and writes an explanatory message and a stack trace for a given Throwable exception to the servlet log file.

  Parameters:
    `message` - String that describes the error or exception

### log

    protected void log(java.lang.String message,
                       java.lang.Throwable throwable)

  Deprecated. Use common-logging, or other logging implementation to log debug messages.

  Convenience method that call the comparable servlet log method and writes an explanatory message and a stack trace for a given Throwable exception to the servlet log file.

  Parameters:
    `message` - String that describes the error or exception
    `throwable` - Throwable error or exception

### reset

    public void reset(ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Reset all properties to their default values.

  Overrides:
    `reset` in class `DynaActionForm`
  Parameters:
    `mapping` - The mapping used to select this instance
    `request` - The servlet request we are processing

### getValidatorResults

    public org.apache.commons.validator.ValidatorResults getValidatorResults()

  Get results of the validation performed by the `Validator`.

  Returns:
    validator results as ValidatorResults object

### setValidatorResults

    public void setValidatorResults(org.apache.commons.validator.ValidatorResults validatorResults)

  Set results of the validation performed by the `Validator`.

  Parameters:
    `validatorResults` - Set results of the validation performed

### getResultValueMap

    public java.util.Map getResultValueMap()

  Returns a `Map` of values returned from any validation that returns a value other than `null` or `Boolean` with the key the full property path of the field.

  Returns:
    Returns a `Map` of values, otherwise returns null if no results.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation